Module | Irc::Bot::Config
In: | lib/rbot/message.rb lib/rbot/rbotconfig.rb lib/rbot/config.rb

### Methods

coredir datadir manager register

### Classes and Modules

Class Irc::Bot::Config::ArrayValue
Class Irc::Bot::Config::BooleanValue
Class Irc::Bot::Config::EnumValue
Class Irc::Bot::Config::FloatValue
Class Irc::Bot::Config::IntegerValue
Class Irc::Bot::Config::ManagerClass
Class Irc::Bot::Config::StringValue
Class Irc::Bot::Config::Value
Class Irc::Bot::Config::Wizard

### Public Class methods

coredir()
datadir()
manager()

Returns the only Irc::Bot::Config::ManagerClass

register(item)

Register a config value

[Validate]